# Method: subscriptions.get

- [HTTP request](https://developers.google.com/workspace/events/reference/rest/v1beta/subscriptions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/events/reference/rest/v1beta/subscriptions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/events/reference/rest/v1beta/subscriptions/get#body.request_body)
- [Response body](https://developers.google.com/workspace/events/reference/rest/v1beta/subscriptions/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/events/reference/rest/v1beta/subscriptions/get#body.aspect)

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Gets details about a Google Workspace subscription. To learn how to use this method, see [Get details about a Google Workspace subscription](https://developers.google.com/workspace/events/guides/get-subscription).

### HTTP request

`GET https://workspaceevents.googleapis.com/v1beta/{name=subscriptions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the subscription. Format: `subscriptions/{subscription}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/events/reference/rest/v1beta/subscriptions#Subscription`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.bot`
- `
  https://www.googleapis.com/auth/chat.spaces`
- `
  https://www.googleapis.com/auth/chat.spaces.readonly`
- `
  https://www.googleapis.com/auth/chat.messages`
- `
  https://www.googleapis.com/auth/chat.messages.readonly`
- `
  https://www.googleapis.com/auth/chat.messages.reactions`
- `
  https://www.googleapis.com/auth/chat.messages.reactions.readonly`
- `
  https://www.googleapis.com/auth/chat.memberships`
- `
  https://www.googleapis.com/auth/chat.memberships.readonly`
- `
  https://www.googleapis.com/auth/meetings.space.created`
- `
  https://www.googleapis.com/auth/meetings.space.readonly`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.metadata`
- `
  https://www.googleapis.com/auth/drive.metadata.readonly`
- `
  https://www.googleapis.com/auth/drive.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).